Package: org.codehaus.groovy.runtime

## [Java] Class ProcessRunner

- org.codehaus.groovy.runtime.ProcessGroovyMethods.ProcessRunner

- All Implemented Interfaces and Traits:
    Runnable

      protected static class ProcessGroovyMethods.ProcessRunner

  A Runnable which waits for a process to complete together with a notification scheme allowing another thread to wait a maximum number of seconds for the process to complete before killing it.

  Since:
    1.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ProcessGroovyMethods.ProcessRunner (Process process)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `run()`
    `` | `void` | `waitForOrKill(long millis)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public ProcessGroovyMethods.ProcessRunner(Process process)

  - ### Method Detail

    - #### public void run()

    - #### public void waitForOrKill(long millis)